@import url('https://fonts.googleapis.com/css2?family=Inconsolata:wght@300;700&display=swap');

.w-5 {
    width: 5% !important;
}

.w-10 {
    width: 10% !important;
}

.w-15 {
    width: 15% !important;
}

.w-20 {
    width: 20% !important;
}

.w-30 {
    width: 30% !important;
}

.w-35 {
    width: 35% !important;
}

.w-40 {
    width: 40% !important;
}

.w-45 {
    width: 45% !important;
}

.w-55 {
    width: 55% !important;
}

.w-60 {
    width: 60% !important;
}

.w-65 {
    width: 65% !important;
}

.w-70 {
    width: 70% !important;
}

.w-m70 {
    max-width: 70% !important;
    width: fit-content;
}

.w-80 {
    width: 80% !important;
}

.w-85 {
    width: 85% !important;
}

.w-90 {
    width: 90% !important;
}

@media (max-width:991px){

    .w-xs-100 {
        width: 100% !important;
    }
}
@media (min-width:992px){

    .w-md-auto {
        width: auto !important;
    }
}

.w-95 {
    width: 95% !important;
}

.bg-darkblue {
    background-color: var(--darkblue);
}

.bg-darkred {
    background-color: #A4231B;
}

.bg-roxo {
    background-color: #4e0082;
}

.badge-roxo {
    background-color: #4e0082;
}

.badge-darkred {
    background-color: #A4231B;
    color: #fff;
}

@media print {
    * {
        background: transparent !important;
        color: #000 !important;
        text-shadow: none !important;
        filter: none !important;
        -ms-filter: none !important;
    }

    body {
        margin: 0;
        padding: 0;
        line-height: 1.4em;
    }

    @page {
        margin: 0.5cm;
        size: A6;
    }

    body>* {
        border-color: black;
    }

    #app {
        padding-top: 0
    }

    .app-content {
        margin: 0;
        padding: 0;
    }

    #header,
    #sidebar,
    .page-header,
    .breadcrumb {
        display: none;
    }

    .card {
        border: none;
    }

    .card-body {
        padding: 0 !important;
    }

    hr {
        display: none;
    }

    button {
        display: none !important;
    }

    #formControls {
        margin: 0 !important;
    }

    .btn-scroll-top {
        display: none !important;
    }

    .etiqueta {
        margin: 0 !important;
    }

    .etiqueta-wrapper {
        padding: 0 !important;
    }

    .pagebreak {
        clear: both;
        page-break-after: always;
    }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0;
    /* <-- Apparently some margin are still there even though it's hidden */
}

input[type=number] {
    -moz-appearance: textfield;
}

.line-height-sm {
    line-height: 0.9;
}

.text-sm {
    font-size: 0.8em;
}

.form-control-xs {
    height: calc(1.2em + 0.3em + 2px);
    padding: 0.25rem .5rem;
    font-size: .76562rem;
    line-height: 1.2;
    border-radius: 3px;
}

.form-control-xl {
    height: calc(1.5em + 1rem + 2px);
    padding: 0.5rem 1rem;
    font-size: 1.2rem;
    line-height: 1.4;
    border-radius: 8px;
}

.btn.btn-xl {
    padding: .6rem 1.1rem;
    font-size: 1.2rem;
    line-height: 1.4;
    border-radius: 8px;
}

.field-locked {
    position: absolute;
    bottom: 16px;
    right: 20px;
    opacity: .9;
}

.iconLocked {}

.divSlCliente>.field-locked {
    position: absolute;
    bottom: 24px;
    right: 40px;
    opacity: .9;
}

table.hoverandclick tbody tr {
    cursor: pointer;
}

.table-hover tbody tr:hover {
    color: #212837;
    background-color: rgba(31, 107, 255, 0.18);
    cursor: pointer;
}

.table-hover tbody tr td {
    user-select: none;
}

.table-hover tbody tr:has(input.shift-checkbox:checked) {
    background-color: rgba(31, 107, 255, 0.33);
}

.cursor-pointer {
    cursor: pointer;
}

.lock {
    /* padding-right: 30px; */
}

.profile .profile-header .profile-header-cover:before {
    background-color: rgba(255, 255, 255, .01);
}

.app-header .brand .brand-logo {
    padding: 10px 0;
}

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute !important;
    white-space: nowrap;
    clip: rect(0, 0, 0, 0);
    z-index: -1;
}

/* .inputfile + label {
    font-size: 1.25em;
    font-weight: 700;
    color: white;
    background-color: black;
    display: inline-block;
	cursor: pointer; 
}

.inputfile:focus + label {
	outline: 1px dotted #000;
	outline: -webkit-focus-ring-color auto 5px;
}

.inputfile:focus + label,
.inputfile + label:hover {
    background-color: red;
}

.inputfile + label * {
	pointer-events: none;
} */

label.error {
    position: absolute;
    padding: 3px 10px;
    font-size: .8em;
    border-radius: 3px;
    background-color: red;
    color: white;
    margin-top: -30px;
    top: 0;
    left: 0;
    opacity: 0.9;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, .4);
}

label.error::after {
    width: 10px;
    height: 10px;
    display: inline-block;
    background-color: red;
    content: '';
    left: 0;
    position: absolute;
    bottom: -5px;
    left: 10px;
    transform: rotate(45deg);
    box-shadow: 2px 2px 2px rgba(0, 0, 0, .4);
}

input.error,
select.error,
textarea.error {
    border-color: var(--danger) !important;
}

.selectpicker.error~.dropdown-toggle {
    border-color: var(--danger) !important;
}

.selectpicker.valid~.dropdown-toggle {
    border-color: #a8b6d1 !important;
}

.custom-file-input.error~label {
    border-color: var(--danger) !important;
}

.custom-control-input:disabled~.custom-control-label {
    cursor: not-allowed;
}

.lnkCard:link {
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.font-inconsolata {
    font-family: Inconsolata;
    font-weight: 700;
}

.text-lg {
    font-size: 1.2em;
}

.etiqueta {
    background: white;
    display: block;
}

.etiqueta.etiqueta8x10 {
    width: 9.5cm;
    height: 13.8cm;
    overflow: hidden;
}

.etiqueta .divRemetente {
    min-height: 2cm;
}

.etiqueta .divModalidade {
    min-height: 1cm;
}

.etiqueta .divBarcode {
    min-height: 6.8cm;
}

.etiqueta .divDestinatario {
    min-height: 1cm;
}

.etiqueta .divEndereco {
    min-height: 3cm;
}

.lnkCard:hover .card {
    text-decoration: none;
    border: 1px solid var(--primary);
}

.checkout .btn {
    display: block;
    background: var(--primary);
    color: #fff;
    text-decoration: none;
    margin: 20px 0;
    padding: 15px 15px;
    border-radius: 5px;
    position: relative;
}

.checkout .btn::after {
    content: '';
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: all 0.2s ease-in-out;
    box-shadow: inset 0 3px 0 rgba(0, 0, 0, 0), 0 3px 3px rgba(0, 0, 0, .2);
    border-radius: 5px;
}

.checkout .btn:hover::after {
    background: rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 3px 0 rgba(0, 0, 0, 0.2);
}

/*-------------------- Form --------------------*/

.frmCheckout.form fieldset {
    border: none;
    padding: 0;
    padding: 10px 0;
    position: relative;
    clear: both;
}

.frmCheckout.form fieldset.fieldset-expiration {
    float: left;
    width: 60%;
}

.frmCheckout.form fieldset.fieldset-expiration .select {
    width: 84px;
    margin-right: 12px;
    float: left;
}

.frmCheckout.form fieldset.fieldset-ccv {
    clear: none;
    float: right;
    width: 86px;
}

.frmCheckout.form fieldset label {
    display: block;
    text-transform: uppercase;
    font-size: 11px;
    color: rgba(0, 0, 0, .6);
    margin-bottom: 5px;
    font-weight: bold;
    font-family: Inconsolata;
}

.frmCheckout.form fieldset input,
.form fieldset .select {
    width: 100%;
    height: 38px;
    color: #333;
    padding: 10px;
    border-radius: 5px;
    font-size: 15px;
    outline: none !important;
    border: 1px solid rgba(0, 0, 0, 0.3);
    box-shadow: inset 0 1px 4px rgba(0, 0, 0, 0.2);
}

.frmCheckout.form fieldset input.input-cart-number,
.form fieldset .select.input-cart-number {
    width: 82px;
    display: inline-block;
    margin-right: 8px;
}

.frmCheckout.form fieldset input.input-cart-number:last-child,
.form fieldset .select.input-cart-number:last-child {
    margin-right: 0;
}

.frmCheckout.form fieldset .select {
    position: relative;
}

.frmCheckout.form fieldset .select::after {
    content: '';
    border-top: 8px solid #222;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    position: absolute;
    z-index: 2;
    top: 14px;
    right: 10px;
    pointer-events: none;
}

.frmCheckout.form fieldset .select select {
    appearance: none;
    position: absolute;
    padding: 0;
    border: none;
    width: 100%;
    outline: none !important;
    top: 6px;
    left: 6px;
    background: none;
}

.frmCheckout.form fieldset .select select :-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 #000;
}

.frmCheckout.form button {
    width: 100%;
    outline: none !important;
    /* background: linear-gradient(180deg, #49a09b, #3d8291); */
    text-transform: uppercase;
    font-weight: bold;
    border: none;
    box-shadow: none;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    margin-top: 90px;
}

.frmCheckout.form button .fa {
    margin-right: 6px;
}

.frmCheckout.form input,
.frmCheckout.form .select {
    transition: all 0.3s ease-in-out;
}

.frmCheckout.form input:focus,
.frmCheckout.form .select:has(select:focus) {
    border: 1px solid var(--primary);
}

/*-------------------- Checkout --------------------*/

.checkout {
    margin: 150px auto 30px;
    position: relative;
    width: 460px;
    background: white;
    border-radius: 15px;
    padding: 160px 45px 30px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, .1);
}

/*-------------------- Credit Card --------------------*/

.checkout .credit-card-box {
    perspective: 1000;
    width: 400px;
    height: 280px;
    position: absolute;
    top: -112px;
    left: 50%;
    transform: translateX(-50%);
}

.checkout .credit-card-box:hover .flip,
.checkout .credit-card-box.hover .flip {
    transform: rotateY(180deg);
}

.checkout .credit-card-box .front,
.checkout .credit-card-box .back {
    width: 400px;
    height: 250px;
    border-radius: 15px;
    backface-visibility: hidden;
    /* background: linear-gradient(135deg, #bd6772, #53223f); */
    background: linear-gradient(135deg, #2b2b2b, #1b1b1b);
    position: absolute;
    color: #fff;
    font-family: Inconsolata;
    top: 0;
    left: 0;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.3);
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.3);
}

.checkout .credit-card-box .front::before,
.checkout .credit-card-box .back::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: url('http://cdn.flaticon.com/svg/44/44386.svg') no-repeat center;
    background-size: cover;
    opacity: 0.05;
}

.checkout .credit-card-box .flip {
    transition: 0.6s;
    transform-style: preserve-3d;
    position: relative;
}

.checkout .credit-card-box .logo {
    position: absolute;
    top: 9px;
    right: 20px;
    width: 60px;
}

.checkout .credit-card-box .logo svg {
    width: 100%;
    height: auto;
    fill: #fff;
}

.checkout .credit-card-box .front {
    z-index: 2;
    transform: rotateY(0deg);
}

.checkout .credit-card-box .back {
    transform: rotateY(180deg);
}

.checkout .credit-card-box .back .logo {
    top: 185px;
}

.checkout .credit-card-box .chip {
    position: absolute;
    width: 60px;
    height: 45px;
    top: 20px;
    left: 20px;
    background: linear-gradient(135deg, #ddccf0 0%, #d1e9f5 44%, #f8ece7 100%);
    border-radius: 8px;
}

.checkout .credit-card-box .chip::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    border: 4px solid rgba(128, 128, 128, .1);
    width: 80%;
    height: 70%;
    border-radius: 5px;
}

.checkout .credit-card-box .strip {
    background: linear-gradient(135deg, #404040, #1a1a1a);
    position: absolute;
    width: 100%;
    height: 50px;
    top: 30px;
    left: 0;
}

.checkout .credit-card-box .number {
    position: absolute;
    margin: 0 auto;
    top: 103px;
    left: 19px;
    font-size: 38px;
}

.checkout .credit-card-box label {
    font-size: 10px;
    letter-spacing: 1px;
    text-shadow: none;
    text-transform: uppercase;
    font-weight: normal;
    opacity: 0.5;
    display: block;
    margin-bottom: 3px;
}

.checkout .credit-card-box .card-holder,
.credit-card-box .card-expiration-date {
    position: absolute;
    margin: 0 auto;
    top: 180px;
    left: 19px;
    font-size: 22px;
    text-transform: capitalize;
}

.checkout .credit-card-box .card-expiration-date {
    text-align: right;
    left: auto;
    right: 20px;
}

.checkout .credit-card-box .ccv {
    height: 36px;
    background: #fff;
    width: 91%;
    border-radius: 5px;
    top: 110px;
    left: 0;
    right: 0;
    position: absolute;
    margin: 0 auto;
    color: #000;
    text-align: right;
    padding: 10px;
}

.checkout .credit-card-box .ccv label {
    margin: -25px 0 14px;
    color: #fff;
}

/* RASTREIO */

.rastreio-wrapper {
    position: relative;
    display: block;
    max-height: 100%;
}

.rastreio-wrapper::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 1px;
    left: 20px;
    background-color: var(--secondary);
}

.rastreio-item {
    width: 100%;
    display: block;
    padding-left: 50px;
    color: #353535;
}

.rastreio-item span {
    display: block;
}

.rastreio-item .timeline i {
    margin-left: -37px;
    color: var(--secondary);
    z-index: 2;
    position: relative;
    border: 2px solid white;
}

.rastreio-item.active {
    font-size: 1.1em;
    color: black;
}

.rastreio-item.active span {
    font-weight: bold;
}

.rastreio-item.active .timeline i {
    color: var(--primary);
    transform: scale(1.1);
    margin-left: -38px;
}

.bootstrap-select>.dropdown-toggle.bs-placeholder,
.bootstrap-select>.dropdown-toggle.bs-placeholder:active,
.bootstrap-select>.dropdown-toggle.bs-placeholder:focus,
.bootstrap-select>.dropdown-toggle.bs-placeholder:hover {
    color: #869ac0;
    background-color: white;
    border: 1px solid #c9d2e3;
    border-radius: 6px;
}

.bootstrap-tagsinput input {
    padding-left: 0px;
}

.bootstrap-tagsinput input::placeholder {
    color: #869ac0;
    opacity: 1;
}

.bg-rastreio {
    display: block;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 0;
    background-image: url(../img/bg.png);
    background-size: cover;
    background-repeat: no-repeat;
}

/* LOADING */

.lmask {
    position: fixed;
    height: 100vh;
    width: 100%;
    background-color: rgba(255, 255, 255, .4);
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    z-index: 9999;
    opacity: 1;
}

.lmask.fixed {
    position: fixed;
}

.lmask:before {
    content: '';
    background-color: rgba(0, 0, 0, 0);
    border: 5px solid rgba(0, 52, 97, 0.9);
    opacity: .9;
    border-right: 5px solid rgba(0, 0, 0, 0);
    border-left: 5px solid rgba(0, 0, 0, 0);
    border-radius: 50px;
    box-shadow: 0 0 35px rgb(0, 52, 97);
    width: 50px;
    height: 50px;
    -moz-animation: spinPulse 1s infinite ease-in-out;
    -webkit-animation: spinPulse 1s infinite linear;
    margin: -25px 0 0 -25px;
    position: absolute;
    top: 50%;
    left: 50%;
}

.lmask:after {
    content: '';
    background-color: rgba(0, 0, 0, 0);
    border: 5px solid rgba(0, 52, 97, 0.9);
    opacity: .9;
    border-left: 5px solid rgba(0, 0, 0, 0);
    border-right: 5px solid rgba(0, 0, 0, 0);
    border-radius: 50px;
    box-shadow: 0 0 15px rgb(0, 52, 97);
    width: 30px;
    height: 30px;
    -moz-animation: spinoffPulse 1s infinite linear;
    -webkit-animation: spinoffPulse 1s infinite linear;
    margin: -15px 0 0 -15px;
    position: absolute;
    top: 50%;
    left: 50%;
}

.lmask a {
    position: fixed;
    top: 10px;
    right: 10px;
    opacity: 0.5;
    display: block;
}

.listLegenda {
    list-style: none;
    padding: 0;
}

.card-link {
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}

.card-link .card-body {
    color: black;
}

.card-link:hover .card {
    border: 1px solid var(--primary);
}

.card-link:active .card {
    border: 1px solid var(--primary);
}

/* NOTIFICATION */
.notification {
    width: 8px;
    height: 8px;
    display: block;
    position: absolute;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
    border-radius: 50%;
}

.notification.notification-inlineblock {
    width: 8px;
    height: 8px;
    display: inline-block;
    position: relative;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
    border-radius: 50%;
}

.notification-inlineblock {
    top: 0;
    right: -5px;
}

.notification-inline {
    top: 50%;
    margin-top: -4px;
    right: 5px;
}

.notification-float {
    top: 3px;
    right: 3px;
}

.notification.notification-danger {
    background-color: var(--danger);
}

.notification.notification-warning {
    background-color: var(--warning);
}

.notification.notification-success {
    background-color: var(--success);
}

.notification.notification-primary {
    background-color: var(--primary);
}


/* ::-webkit-scrollbar {
    width: 5px;
}
  
::-webkit-scrollbar-track {
    width: 5px;
    background: #f5f5f5;
}
  
::-webkit-scrollbar-thumb {
    width: 1em;
    background-color: #ddd;
    outline: 1px solid slategrey;
    border-radius: 1rem;
} */

.text-small {
    font-size: 0.9rem;
}

.messages-box,
.chat-box {
    min-height: 300px;
    max-height: 500px;
    /* overflow-y: scroll; */
    overflow: hidden;
}

.messages-box {
    overflow-y: auto;
    max-height: 670px;
}

.rounded-lg {
    border-radius: 0.5rem;
}

textarea {
    resize: none;
}

.border-left-5px {
    border-left-width: 5px !important;
}

#pills-tab .nav-link.active .badge {
    color: #1f6bff;
    background-color: white;
}

#pills-tab .nav-link .badge {
    color: white;
    background-color: #1f6bff;
}

.opcoespagamento {
    height: 120px;
    border-radius: 0;
    padding-bottom: 5px;
    position: relative;
    margin-right: 10px;
    flex: 1;
    border-radius: 10px;
}

.opcoespagamento:last-of-type {
    margin-right: 0px;
}

.opcoespagamento i {
    font-size: 25px;
    position: absolute;
    margin-top: 40px;
    margin-left: 50%;
    transform: translate(-50%, 0);
    top: 0;
    left: 0;
}

.opcoespagamento svg {
    font-size: 25px;
    display: block;
    width: 25px;
    height: 25px;
    position: absolute;
    margin-top: 40px;
    margin-left: 50%;
    transform: translate(-50%, 0);
    top: 0;
    left: 0;
}

.opcoespagamento span {
    font-size: 10px;
    display: block;
    bottom: 22px;
    position: absolute;
    text-overflow: ellipsis;
    text-align: center !important;
    width: 100%;
    border-radius: 5px;
}

.badge-nota {
    position: absolute;
    width: 45px;
    height: 30px;
    display: block;
    right: 0;
    top: 46px;
    border-bottom-left-radius: 15px;
    color: white;
    text-align: center;
    padding-top: 1px;
    font-weight: bold;
    font-size: 1.2em;
}

.bootstrap-tagsinput.disabled~textarea:disabled {
    border: none !important;
    box-shadow: none;
}

.bootstrap-tagsinput.disabled input {
    display: none;
}

.bootstrap-tagsinput.disabled .badge span[data-role="remove"] {
    display: none;
}

.bootstrap-tagsinput.disabled .badge {
    background-color: #ccc;
    border: 1px solid #ababab;
}

.destinatario-com-cadastro {
    position: absolute;
    right: 0px;
}

#tblImpressaoEtiquetaFinal tbody tr td:has(input[type=checkbox]:disabled) * {
    opacity: .5;
}

.imgNotificacao {
    overflow: hidden;
}

.imgNotificacao img {
    filter: grayscale(50%) blur(1px);
    transition: all 0.2s ease-in-out;
}

.imgNotificacao:hover img {
    filter:none;
}

.imgNotificacao div {
    position: absolute;
    top: 60%;
    left: 50%;
    opacity: 0;
    transition: all 0.2s ease-in-out;
}

.imgNotificacao:hover div {
    position: absolute;
    top: 50%;
    opacity: 1;
    transition: all 0.1s ease-in-out;
}

.bootstrap-select .dropdown-menu .dropdown-item.selected.active .bs-ok-default::after {
  color: white;
}

.app-header .menu .menu-item .menu-label {
    top: 17px;
    right: 17px;
    background: #1f6bff;
    min-width: 10px;
    height: 10px;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    content: " ";
    padding: 0;
}

@media screen and (max-width: 768px) {

    .btnRemoverVolumeInternacional {
        position: absolute;
        top: 0;
        right: 0;
        margin-top: -5px;
    }

    .labelTotais {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .labelTotais .h3 {
        font-size: 1rem;
    }

    .labelTotais .text-sm {
        font-size: 0.6rem;
    }

    .opcoespagamento {
        max-width: calc(50% - 10px) !important;
    }

    .destinatario-com-cadastro {
        position: relative;
    }

}

@media (max-width:991.98px){
    .btn-scroll-top{bottom:1.875rem;right:1.25rem;z-index:1030}
    .btn-scroll-bottom{bottom:4.875rem;right:1.25rem;z-index:1030}
}


@-moz-keyframes spinPulse {
    0% {
        -moz-transform: rotate(160deg);
        opacity: 0;
        box-shadow: 0 0 1px #005421;
    }

    50% {
        -moz-transform: rotate(145deg);
        opacity: 1;
    }

    100% {
        -moz-transform: rotate(-320deg);
        opacity: 0;
    }
}

@-moz-keyframes spinoffPulse {
    0% {
        -moz-transform: rotate(0deg);
    }

    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spinPulse {
    0% {
        -webkit-transform: rotate(160deg);
        opacity: 0;
        box-shadow: 0 0 1px rgb(0, 52, 97);
    }

    50% {
        -webkit-transform: rotate(145deg);
        opacity: 1;
    }

    100% {
        -webkit-transform: rotate(-320deg);
        opacity: 0;
    }
}

@-webkit-keyframes spinoffPulse {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}